
QGIS Application - Bug report #3096

Silent install is not possible when used to upgrade QGIS

2010-10-08 04:49 AM - asgerpetersen -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 13156

Description

When running the windows standalone installer with the silent switch (/S) on a system with an earlier version of QGIS, the installer is not

silent as it shows a dialog box to confirm the upgrade. This is especially a problem with the installer is running as part of a startup script,

because then the dialog is hidden. This prohibits central administration of QGIS in a Windows environment.

Command used: QGIS-OSGeo4W-1.5.0-14109-Setup.exe /S

History

#1 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2017-05-01 12:58 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Regression? set to No

- Easy fix? set to No

#6 - 2018-09-23 10:12 PM - Jürgen Fischer

- Resolution set to worksforme

- Description updated

- Status changed from Open to Closed
